Bug 294004 - Encoding error when running an executable in a non-ascii path with gdb
Summary: Encoding error when running an executable in a non-ascii path with gdb
Status: RESOLVED FIXED
Alias: None
Product: kdevelop
Classification: Unclassified
Component: CPP Debugger (show other bugs)
Version: 4.4.1
Platform: Archlinux Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdevelop-bugs-null
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-13 16:42 UTC by Romário Rios
Modified: 2012-12-29 11:22 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Romário Rios 2012-02-13 16:42:28 UTC
Version:           4.2.3 (using KDE 4.8.0) 
OS:                Linux

Whenever I try to debug an executable in a non-ascii path from KDevelop with gdb, KDevelop seems to pick the wrong encoding for the path and, then, isn't able to find the executable file.

Reproducible: Always

Steps to Reproduce:
1 - Setup a new launch with an executable in a non-ascii path
1a - Choose gdb as the debugger
2 - Try to debug current launch

Actual Results:  
KDevelop isn't able to find the executable

Expected Results:  
KDevelop should debug the executable normally
Comment 1 Milian Wolff 2012-02-23 12:28:17 UTC
Niko, could you look into this?
Comment 2 Kevin Funk 2012-12-22 21:05:41 UTC
Is this fixed?
Comment 3 Romário Rios 2012-12-25 15:37:38 UTC
(In reply to comment #2)
> Is this fixed?

No. Still present in 4.4.1.
Comment 4 Niko Sams 2012-12-29 11:22:10 UTC
Git commit 31f9567800361e6cb3385fca70a413c15b042c41 by Niko Sams.
Committed on 29/12/2012 at 13:27.
Pushed by nsams into branch 'master'.

send command as utf8, as the communication charset is utf8

fixes non-ascii file paths.

M  +3    -2    debuggers/gdb/gdb.cpp

http://commits.kde.org/kdevelop/31f9567800361e6cb3385fca70a413c15b042c41